Skip to content

Security Policy

The Security Policy API provides operations to manage security policies for Okta Privileged Access teams. Security policies control which user groups can access resources and any methods they can use to connect. Security policy operations use several nested objects to correctly define a created policy.

List all security policies

Request

OPA roles:
  • security_admin

Lists all security policies

Security
bearerAuth
Path
team_namestringrequired

The name of your team

Query
containsstring

Filters for security policies where the name or description contains the search string

countinteger, (int32)

The number of objects per page

descendingboolean

If true, results are listed in descending order. By default, results are listed in ascending order.

offsetstring

The offset value for pagination. The rel="next" and rel="prev" Link headers define the offset for subsequent or previous pages.

prevboolean

The direction of paging

exclude_rulesboolean

If true, returns an empty rules array for every security policy to reduce the response size. If omitted or false, returns the full rules array.

Default:false
Example:exclude_rules=true
curl -i -X GET \
  'https://{org_name}.pam.okta.com/v1/teams/{team_name}/security_policy?contains=string&count=0&descending=true&offset=string&prev=true&exclude_rules=true' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
listArray of objects(Security Policy)
Response
{ "list": [ { … } ] }